## golang-github-azure-go-autorest 14.2.0+git20220726.711dde1

=== Makefile ===
DIR?=./autorest/

default: build

build: fmt
	cd $(DIR); go install

test:
	cd $(DIR); go test -v

vet:
	cd $(DIR); go vet

fmt:
	gofmt -w $(DIR)

.PHONY: build test vet fmt

## golang-github-azure-go-autorest 0.1~alpha

=== debian/changelog ===
golang-github-azure-go-autorest (0.1~alpha-2) unstable; urgency=medium

  * Add compatibility symlink (since upstream's README/source explicitly uses
    the lowercased import path, but uppercase "A" in "Azure" is the official
    import path)

 -- Tianon Gravi <tianon@debian.org>  Wed, 09 Sep 2015 00:01:21 -0700

golang-github-azure-go-autorest (0.1~alpha-1) unstable; urgency=medium

  * Initial release

 -- Tianon Gravi <tianon@debian.org>  Sun, 06 Sep 2015 21:06:37 -0700

=== debian/control ===
Source: golang-github-azure-go-autorest
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9), dh-golang, golang-go
Standards-Version: 3.9.6
Homepage: https://github.com/Azure/go-autorest
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-azure-go-autorest.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-azure-go-autorest.git
XS-Go-Import-Path: github.com/azure/go-autorest

Package: golang-github-azure-go-autorest-dev
Architecture: all
Depends: golang-go, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: HTTP request pipeline suitable for use across multiple go-routines
 Package autorest implements an HTTP request pipeline suitable for use across
 multiple go-routines and provides the shared routines relied on by AutoRest
 (see https://github.com/Azure/autorest/) generated Go code.
 .
 The package breaks sending and responding to HTTP requests into three phases:
 Preparing, Sending, and Responding.
 .
 Each phase relies on decorators to modify and / or manage processing.
 Decorators may first modify and then pass the data along, pass the data first
 and then modify the result, or wrap themselves around passing the data (such as
 a logger might do). Decorators run in the order provided.
 .
 Preparers and Responders may be shared and re-used (assuming the underlying
 decorators support sharing and re-use). Performant use is obtained by creating
 one or more Preparers and Responders shared among multiple go-routines, and a
 single Sender shared among multiple sending go-routines, all bound together by
 means of input / output channels.
 .
 Decorators hold their passed state within a closure (such as the path
 components in the example above). Be careful to share Preparers and Responders
 only in a context where such held state applies. For example, it may not make
 sense to share a Preparer that applies a query string from a fixed set of
 values. Similarly, sharing a Responder that reads the response body into a
 passed struct (e.g., ByUnmarshallingJson) is likely incorrect.
 .
 Lastly, the Swagger specification (https://swagger.io) that drives AutoRest
 (https://github.com/Azure/autorest/) precisely defines two date forms: date and
 date-time. The github.com/Azure/go-autorest/autorest/date package provides
 time.Time derivations to ensure correct parsing and formatting.
 .
 Errors raised by autorest objects and methods will conform to the
 autorest.Error interface.

## golang-github-azure-go-autorest 7.0.4

=== debian/changelog ===
golang-github-azure-go-autorest (7.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #821938):
    + added dgrijalva-jwt-go and x-crypto to deps in deb/control.
    + added override for dh_auto_install to strip /usr/bin/example in deb/rules.
  * wrap-and-sort -a.

 -- Daniel Stender <stender@debian.org>  Wed, 20 Apr 2016 18:52:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,24 @@
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>
-Build-Depends: debhelper (>= 9), dh-golang, golang-go
+Build-Depends: debhelper (>= 9),
+               dh-golang,
+               golang-go,
+               golang-github-dgrijalva-jwt-go-dev,
+               golang-golang-x-crypto-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/Azure/go-autorest
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-azure-go-autorest.git
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-azure-go-autorest.git
-XS-Go-Import-Path: github.com/azure/go-autorest
+XS-Go-Import-Path: github.com/Azure/go-autorest
 
 Package: golang-github-azure-go-autorest-dev
 Architecture: all
-Depends: golang-go, ${misc:Depends}, ${shlibs:Depends}
+Depends: golang-go,
+         golang-github-dgrijalva-jwt-go-dev,
+         golang-golang-x-crypto-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Description: HTTP request pipeline suitable for use across multiple go-routines
  Package autorest implements an HTTP request pipeline suitable for use across

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/golang-github-azure-go-autorest-dev/usr/bin # strip /usr/bin/example

## golang-github-azure-go-autorest 7.2.0+REALLY.7.0.4

=== debian/changelog ===
golang-github-azure-go-autorest (7.2.0+REALLY.7.0.4-2~bpo8+2) jessie-backports; urgency=medium

  * Add versioned dependency on golang 1.4, as autorest does not work with 1.3.

 -- Martín Ferrari <tincho@debian.org>  Fri, 17 Feb 2017 14:19:27 +0000

golang-github-azure-go-autorest (7.2.0+REALLY.7.0.4-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Martín Ferrari <tincho@debian.org>  Fri, 17 Feb 2017 04:03:16 +0000

golang-github-azure-go-autorest (7.2.0+REALLY.7.0.4-2) unstable; urgency=medium

  * debian/control: Replace golang-go with golang-any in Build-Depends.

 -- Martín Ferrari <tincho@debian.org>  Tue, 01 Nov 2016 01:48:38 +0000

golang-github-azure-go-autorest (7.2.0+REALLY.7.0.4-1) unstable; urgency=medium

  * Revert last upstream change

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Oct 2016 23:16:12 +0530

golang-github-azure-go-autorest (7.2.0-2) unstable; urgency=medium

  * Team upload
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Oct 2016 15:58:37 +0530

golang-github-azure-go-autorest (7.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Oct 2016 18:42:59 +0530

golang-github-azure-go-autorest (7.0.4-4) unstable; urgency=medium

  [ Martín Ferrari ]
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Replace golang-go with golang-any in Build-Depends.

  [ Tim Potter ]
  * Add me to uploaders

 -- Martín Ferrari <tincho@debian.org>  Thu, 06 Oct 2016 13:54:22 +0000

golang-github-azure-go-autorest (7.0.4-3) unstable; urgency=medium

  * Patch more tests that were accessing the network, hopefully this time it
    closes: #830672.
  * Add myself to Uploaders.

 -- Martín Ferrari <tincho@debian.org>  Sun, 25 Sep 2016 15:03:48 +0000

golang-github-azure-go-autorest (7.0.4-2) unstable; urgency=medium

  * Team upload.

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Martín Ferrari ]
  * debian/control:
    - Update dh-golang dependency.
    - Update Standards-Version (no changes).
    - Remove Built-Using.
  * debian/rules: Use --no-binaries.
  * Patch tests that try to access the network. Closes: #830672.
  * Install README.md file.

 -- Martín Ferrari <tincho@debian.org>  Fri, 22 Jul 2016 16:18:42 +0000

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,31 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>
+Uploaders: Tianon Gravi <tianon@debian.org>,
+           Martín Ferrari <tincho@debian.org>,
+           Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
-               dh-golang,
-               golang-go,
-               golang-github-dgrijalva-jwt-go-dev,
-               golang-golang-x-crypto-dev
-Standards-Version: 3.9.6
+               dh-golang (>= 1.17~),
+               golang-any (>= 2:1.4~),
+               golang-github-dgrijalva-jwt-go-dev (>= 3.0~),
+               golang-github-stretchr-testify-dev,
+               golang-golang-x-crypto-dev,
+Standards-Version: 3.9.8
 Homepage: https://github.com/Azure/go-autorest
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-azure-go-autorest.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-azure-go-autorest.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-azure-go-autorest.git
 XS-Go-Import-Path: github.com/Azure/go-autorest
 
 Package: golang-github-azure-go-autorest-dev
 Architecture: all
-Depends: golang-go,
-         golang-github-dgrijalva-jwt-go-dev,
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         golang-any (>= 2:1.4~),
+         golang-github-dgrijalva-jwt-go-dev (>= 3.0~),
          golang-golang-x-crypto-dev,
+         golang-github-stretchr-testify-dev,
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
 Description: HTTP request pipeline suitable for use across multiple go-routines
  Package autorest implements an HTTP request pipeline suitable for use across
  multiple go-routines and provides the shared routines relied on by AutoRest

## golang-github-azure-go-autorest 8.3.1

=== debian/changelog ===
golang-github-azure-go-autorest (8.3.1-1) unstable; urgency=medium

  * Team upload.

  [ Martín Ferrari ]
  * Add versioned dependency on golang 1.4, as autorest does not work with 1.3.

  [ Shengjing Zhu ]
  * New upstream release.
  * Update compat and debhelper to 10
  * Update Standards-Version to 4.1.0
    + Change priority to optional.
    + User secure url in copyright format.
  * d/control:
    + Update Build-Depends and Binary Depends.
    + Add Testsuite.
    + Update pkg-go team name.
  * Refresh patches
    + 01-Bug#830672-Do_not_access_the_network.patch fixed in upstream
    + Add 0001-use-jwt-go-v3.patch
    + Add 0002-Disable-permission-related-tests.patch

 -- Shengjing Zhu <i@zhsj.me>  Tue, 05 Sep 2017 09:29:42 +0800

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,29 @@
 Source: golang-github-azure-go-autorest
 Section: devel
-Priority: extra
-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Martín Ferrari <tincho@debian.org>,
-           Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 9),
+           Tim Potter <tpot@hpe.com>,
+Build-Depends: debhelper (>= 10),
                dh-golang (>= 1.17~),
                golang-any (>= 2:1.4~),
-               golang-github-dgrijalva-jwt-go-dev (>= 3.0~),
+               golang-github-dgrijalva-jwt-go-v3-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-crypto-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/Azure/go-autorest
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-azure-go-autorest.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-azure-go-autorest.git
 XS-Go-Import-Path: github.com/Azure/go-autorest
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-azure-go-autorest-dev
 Architecture: all
-Depends: ${misc:Depends},
+Depends: golang-github-dgrijalva-jwt-go-v3-dev,
+         golang-golang-x-crypto-dev,
+         ${misc:Depends},
          ${shlibs:Depends},
-         golang-any (>= 2:1.4~),
-         golang-github-dgrijalva-jwt-go-dev (>= 3.0~),
-         golang-golang-x-crypto-dev,
-         golang-github-stretchr-testify-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
 Description: HTTP request pipeline suitable for use across multiple go-routines
  Package autorest implements an HTTP request pipeline suitable for use across
  multiple go-routines and provides the shared routines relied on by AutoRest

## golang-github-azure-go-autorest 10.15.5

=== debian/changelog ===
golang-github-azure-go-autorest (10.15.5-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.
  * Removed obsolete "0001-use-jwt-go-v3.patch".
  * (Build-)Depends:
    - golang-github-dgrijalva-jwt-go-v3-dev
    + golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~)
    + golang-github-dimchansky-utfbom-dev
    + golang-github-mitchellh-go-homedir-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 19 Oct 2019 15:56:19 +1100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,31 @@
 Source: golang-github-azure-go-autorest
 Section: devel
 Priority: optional
+Standards-Version: 4.4.0
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                dh-golang (>= 1.17~),
                golang-any (>= 2:1.4~),
-               golang-github-dgrijalva-jwt-go-v3-dev,
+               golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
+               golang-github-dimchansky-utfbom-dev,
+               golang-github-mitchellh-go-homedir-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-crypto-dev,
-Standards-Version: 4.1.0
 Homepage: https://github.com/Azure/go-autorest
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-azure-go-autorest.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-azure-go-autorest.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-azure-go-autorest
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-azure-go-autorest.git
 XS-Go-Import-Path: github.com/Azure/go-autorest
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-azure-go-autorest-dev
 Architecture: all
-Depends: golang-github-dgrijalva-jwt-go-v3-dev,
+Depends: golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
+         golang-github-dimchansky-utfbom-dev,
+         golang-github-mitchellh-go-homedir-dev,
+         golang-github-stretchr-testify-dev,
          golang-golang-x-crypto-dev,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/go-autorest-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/ \
  https://github.com/Azure/go-autorest/tags?after=v11.1.1 .*/v?(\d\S*)\.tar\.gz

## golang-github-azure-go-autorest 14.1.1

=== debian/changelog ===
golang-github-azure-go-autorest (14.1.1-1) unstable; urgency=medium

  * Team upload.

  [ Dmitry Smirnov ]
  * DH-compat

  [ Shengjing Zhu ]
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Fix uscan watch to track all versions
  * New upstream version 14.1.1
  * Drop testing dependency from -dev package
  * Exclude tracing/opencensus and cmd, example
  * Install all go.mod in subdirectory
  * Drop patches not applied in new release
  * Bump debhelper-compat to 13
  * Add Rules-Requires-Root
  * Update Standards-Version to 4.5.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 22 Jun 2020 02:36:58 +0800

golang-github-azure-go-autorest (10.15.5-2) unstable; urgency=medium

  * Team upload.
  * Disabled few failing tests (Closes: #954540).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 10 Apr 2020 11:28:00 +1000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: golang-github-azure-go-autorest
 Section: devel
 Priority: optional
-Standards-Version: 4.4.0
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.5.0
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.17~),
                golang-any (>= 2:1.4~),
                golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
@@ -18,6 +18,7 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-azure-go-autorest
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-azure-go-autorest.git
 XS-Go-Import-Path: github.com/Azure/go-autorest
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-azure-go-autorest-dev
@@ -25,7 +26,6 @@
 Depends: golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
          golang-github-dimchansky-utfbom-dev,
          golang-github-mitchellh-go-homedir-dev,
-         golang-github-stretchr-testify-dev,
          golang-golang-x-crypto-dev,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd example tracing/opencensus
export DH_GOLANG_INSTALL_EXTRA := $(shell find . -name go.mod)

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-azure-go-autorest 14.2.0+git20220726.711dde1

=== debian/changelog ===
golang-github-azure-go-autorest (14.2.0+git20220726.711dde1-1) unstable; urgency=medium

  * Team upload.

  [ Tianon Gravi ]
  * Remove self from Uploaders

  [ Daniel Swarbrick ]
  * Convert VCS repo to new Go team workflow, preserving upstream commit
    history
  * New upstream git snapshot, corresponding to upstream tag autorest/v0.11.28
  * Add new dependency golang-github-golang-jwt-jwt-dev
  * Drop obsolete dependency golang-github-dgrijalva-jwt-go-dev
  * Change Section to golang
  * Bump Standards-Version to 4.6.1 (no changes)
  * Replace dh-golang with dh-sequence-golang, drop '--with-golang' in d/rules
  * Drop unnecessary golang-any version restriction
  * Add Multi-Arch: foreign
  * Drop unnecessary ${shlibs:Depends}
  * Drop obsolete debian/clean
  * Update Uploader name / email (Martín -> Martina Ferrari)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 21 Oct 2022 12:31:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: golang-github-azure-go-autorest
-Section: devel
+Section: golang
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>,
-           Martín Ferrari <tincho@debian.org>,
+Uploaders: Martina Ferrari <tina@debian.org>,
            Tim Potter <tpot@hpe.com>,
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.17~),
-               golang-any (>= 2:1.4~),
-               golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
+               dh-sequence-golang,
+               golang-any,
                golang-github-dimchansky-utfbom-dev,
+               golang-github-golang-jwt-jwt-dev,
                golang-github-mitchellh-go-homedir-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-crypto-dev,
@@ -23,12 +22,12 @@
 
 Package: golang-github-azure-go-autorest-dev
 Architecture: all
-Depends: golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
-         golang-github-dimchansky-utfbom-dev,
+Multi-Arch: foreign
+Depends: golang-github-dimchansky-utfbom-dev,
+         golang-github-golang-jwt-jwt-dev,
          golang-github-mitchellh-go-homedir-dev,
          golang-golang-x-crypto-dev,
          ${misc:Depends},
-         ${shlibs:Depends},
 Description: HTTP request pipeline suitable for use across multiple go-routines
  Package autorest implements an HTTP request pipeline suitable for use across
  multiple go-routines and provides the shared routines relied on by AutoRest

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,4 @@
 export DH_GOLANG_INSTALL_EXTRA := $(shell find . -name go.mod)
 
 %:
-	dh $@ --buildsystem=golang --with=golang
+	dh $@ --buildsystem=golang

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/go-autorest-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/ \
  https://github.com/Azure/go-autorest/tags .*/v?(\d\S*)\.tar\.gz
